Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.transform
Interface SAXTransformer

All Superinterfaces:
  Transformer, org.xml.sax.XMLReader

All Known Implementing Classes:
  SAXTransformerImpl

public interface SAXTransformer
extends Transformer, org.xml.sax.XMLReader

Transforms the input to a SAX handler. ``

     Stylesheet style = ...;
     ContentHandler handler = ...;

     SAXTransformer transformer = style.newSAXTransformer();
     transformer.setContentHandler(handler);

     transformer.transform("test.xml");

Since:
  Resin 1.2

Method Summary
`void` | `transform(java.io.InputStream source)` Transforms an input stream to the SAX handler.
`void` | `transform(Node source)` Transforms a node to the SAX handler.
`void` | `transform(java.lang.String systemId)` Transforms a file URL to the SAX handler.
`void` | `transformString(java.lang.String source)` Transforms a string to the result node

Methods inherited from interface com.caucho.transform.Transformer
`addFunction, getFeature, getParameter, getProperty, setFeature, setParameter, setProperty`

Methods inherited from interface org.xml.sax.XMLReader
`getContentHandler, getDTDHandler, getEntityResolver, getErrorHandler, getFeature, getProperty, parse, parse, setContentHandler, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setProperty`

Method Detail

### transform

    public void transform(java.io.InputStream source)
                   throws org.xml.sax.SAXException,
                          java.io.IOException

  Transforms an input stream to the SAX handler.
  Parameters:
    `source` - an input stream for an XML document

### transform

    public void transform(java.lang.String systemId)
                   throws org.xml.sax.SAXException,
                          java.io.IOException

  Transforms a file URL to the SAX handler.
  Parameters:
    `systemID` - a file URL for an XML document

### transform

    public void transform(Node source)
                   throws org.xml.sax.SAXException,
                          java.io.IOException

  Transforms a node to the SAX handler.
  Parameters:
    `source` - source node for the transformation

### transformString

    public void transformString(java.lang.String source)
                         throws org.xml.sax.SAXException,
                                java.io.IOException

  Transforms a string to the result node
  Parameters:
    `source` - source string containing the XML
    `result` - node serving as the parent of the results

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD